org.jboss.netty.channel

## Enum ChannelState

- java.lang.Object
- - java.lang.Enum<ChannelState>
  - - org.jboss.netty.channel.ChannelState

All Implemented Interfaces:
  Serializable, Comparable<ChannelState>

    public enum ChannelState
    extends Enum<ChannelState>

The current or future state of a `Channel`.

The state of a `Channel` is interpreted differently depending on the value of a `ChannelStateEvent` and the direction of the event in a `ChannelPipeline`:

Direction | State | Value | Meaning
--- | --- | --- | ---
Upstream | `OPEN` | `true` | The channel is open.
Upstream | `OPEN` | `false` | The channel is closed.
Upstream | `BOUND` | `SocketAddress` | The channel is bound to a local address.
Upstream | `BOUND` | `null` | The channel is unbound to a local address.
Upstream | `CONNECTED` | `SocketAddress` | The channel is connected to a remote address.
Upstream | `CONNECTED` | `null` | The channel is disconnected from a remote address.
Upstream | `INTEREST_OPS` | an integer | The channel interestOps has been changed.
Downstream | `OPEN` | `true` | N/A
Downstream | `OPEN` | `false` | Close the channel.
Downstream | `BOUND` | `SocketAddress` | Bind the channel to the specified local address.
Downstream | `BOUND` | `null` | Unbind the channel from the current local address.
Downstream | `CONNECTED` | `SocketAddress` | Connect the channel to the specified remote address.
Downstream | `CONNECTED` | `null` | Disconnect the channel from the current remote address.
Downstream | `INTEREST_OPS` | an integer | Change the interestOps of the channel.

To see how an event is interpreted further, please refer to `ChannelEvent`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOUND` Represents a `Channel`'s `bound` property
`CONNECTED` Represents a `Channel`'s `connected` property
`INTEREST_OPS` Represents a `Channel`'s `interestOps` property
`OPEN` Represents a `Channel`'s `open` property

### Method Summary

Methods
`static ChannelState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ChannelState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPEN

    public static final ChannelState OPEN

Represents a `Channel`'s `open` property

#### BOUND

    public static final ChannelState BOUND

Represents a `Channel`'s `bound` property

#### CONNECTED

    public static final ChannelState CONNECTED

Represents a `Channel`'s `connected` property

#### INTEREST_OPS

    public static final ChannelState INTEREST_OPS

Represents a `Channel`'s `interestOps` property

### Method Detail

#### values

    public static ChannelState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ChannelState c : ChannelState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ChannelState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null